# dchat

A ChatGPT Bot for Discord.

## Installation

Requirements:

- [git](https://git-scm.com/)
- [Docker](https://www.docker.com/)
- [OpenAI API Key](https://platform.openai.com/account/api-keys)
- [Discord Bot Token](https://javacord.org/wiki/getting-started/creating-a-bot-account.html)

### Clone the project

```shell
git clone https://git.hhhammer.de/hamburghammer/dchat.git
cd dchat
```

### Obtain the images

#### Build the images

```shell
docker compose build
```

### Configure environment

```shell
cp .env.example .env
```

Fill the required variables.

### Start

For the fist time we want to start the containers in the following order:

First crate the DB.

```shell
docker compose up -d db
```

Crate the required tables and migrate already existing data.

```shell
docker compose up -d migration
```

Start the final apps.

```shell
docker compose up -d
```

### Invite

Invite the bot through the link provided in the container logs.

```shell
docker compose logs bot
```

### Permissions

After starting the stack, navigate to [localhost:8081](http://localhost:8081)
and feel free to configure who and how much they can use the bot :)

## LICENSE

The software is licensed under the [MPL-2.0](LICENSE) license.
