package de.hhhammer.dchat.db;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Iterator;

public final class ResultSetIterator<T> implements Iterator<T> {
    private final ResultSet resultSet;
    private final ResultSetTransformer<T> transformer;

    public ResultSetIterator(final ResultSet resultSet, final ResultSetTransformer<T> transformer) {
        this.resultSet = resultSet;
        this.transformer = transformer;
    }

    @Override
    public boolean hasNext() {
        try {
            return resultSet.next();
        } catch (SQLException e) {
            throw new ResultSetIteratorException(e);
        }
    }

    @Override
    public T next() {
        try {
            return transformer.transform(resultSet);
        } catch (SQLException e) {
            throw new ResultSetIteratorException(e);
        }
    }
}
