package de.hhhammer.dchat.db;

import de.hhhammer.dchat.db.models.server.ServerConfig;
import de.hhhammer.dchat.db.models.server.ServerMessage;

import java.util.List;
import java.util.Optional;

public interface ServerDBService {
    Optional<ServerConfig> getConfig(String serverId);

    List<ServerConfig> getAllConfigs() throws DBException;

    Optional<ServerConfig> getConfigBy(long id) throws DBException;

    void addConfig(ServerConfig.NewServerConfig newServerConfig) throws DBException;

    void updateConfig(long id, ServerConfig.NewServerConfig newServerConfig) throws DBException;

    void deleteConfig(long id) throws DBException;

    int countMessagesInLastMinute(String serverId);

    void addMessage(ServerMessage.NewServerMessage serverMessage);

    long tokensOfLast30Days(String serverId);
}
