package de.hhhammer.dchat.db;

import de.hhhammer.dchat.db.models.user.UserConfig;
import de.hhhammer.dchat.db.models.user.UserMessage;

import java.util.List;
import java.util.Optional;

public interface UserDBService {
    Optional<UserConfig> getConfig(String userId);

    Optional<UserConfig> getConfigBy(long id) throws DBException;

    List<UserConfig> getAllConfigs() throws DBException;

    void addConfig(UserConfig.NewUserConfig newUserConfig) throws DBException;

    void updateConfig(long id, UserConfig.NewUserConfig newUserConfig) throws DBException;

    void deleteConfig(long id) throws DBException;

    int countMessagesInLastMinute(String userId);

    void addMessage(UserMessage.NewUserMessage newUserMessage);

    List<UserMessage> getLastMessages(String userId, int limit);

    long tokensOfLast30Days(String userId);
}
