package de.hhhammer.dchat.migration;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Hello world!
 */
public final class App {
    private static final Logger logger = LoggerFactory.getLogger(App.class);
    private static final String DB_MIGRATION_PATH = "db/schema.sql";

    public static void main(final String[] args) {
        final String postgresUser = System.getenv("POSTGRES_USER");
        final String postgresPassword = System.getenv("POSTGRES_PASSWORD");
        final String postgresUrl = System.getenv("POSTGRES_URL");
        if (postgresUser == null || postgresPassword == null || postgresUrl == null) {
            logger.error("Missing environment variables: POSTGRES_USER and/or POSTGRES_PASSWORD and/or POSTGRES_URL");
            System.exit(1);
        }
        final var migrationExecutor = new MigrationExecutor(postgresUrl, postgresUser, postgresPassword);
        final var dbMigrator = new DBMigrator(migrationExecutor, DB_MIGRATION_PATH);
        dbMigrator.run();
    }
}
