import { createRouter, createWebHistory } from 'vue-router'
import HomeView from '@/views/HomeView.vue'
import IndexServersView from '@/views/servers/IndexServersView.vue'
import ServerConfigsView from '@/views/servers/ServerConfigsView.vue'
import IndexUsersView from '@/views/users/IndexUsersView.vue'
import UserConfigsView from '@/views/users/UserConfigsView.vue'

const routerConfig = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      component: HomeView
    },
    {
      path: '/servers',
      name: 'servers',
      component: IndexServersView
    },
    {
      path: '/servers/configs',
      name: 'serverConfigs',
      component: ServerConfigsView
    },
    {
      path: '/users',
      name: 'users',
      component: IndexUsersView
    },
    {
      path: '/users/configs',
      name: 'userConfigs',
      component: UserConfigsView
    }
  ]
})

export default routerConfig
