import type { ServerConfig } from "@/models/server";

const configUrl = "/api/servers/configs/"

export async function getConfigs(): Promise<ServerConfig[]> {
    return fetch(configUrl)
        .then(shouldBeSuccess)
        .then(res => res.json())
}

export function getConfig(id: number): Promise<ServerConfig> {
    return fetch(configUrl + id)
        .then(shouldBeSuccess)
        .then(res => res.json())
}

export function updateConfig(id: number, config: ServerConfig): Promise<void> {
    return fetch(configUrl + id, { method: "PATCH", body: JSON.stringify(config) })
        .then(shouldBeSuccess)
        .then()
}

export function addConfig(config: ServerConfig): Promise<void> {
    debugger
    return fetch(configUrl, { method: "POST", body: JSON.stringify(config) })
        .then(shouldBeSuccess)
        .then()
}

export function deleteConfig(id: number): Promise<void> {
    return fetch(configUrl + id, { method: "DELETE" })
        .then(shouldBeSuccess)
        .then()
}

function shouldBeSuccess(res: Response): Response {
    if (res.status >= 200 && res.status < 300) return res
    throw new Error(`Expected success status code but got: ${res.status} ${res.statusText}`)
}
