import type { UserConfig } from '@/models/user'

const configUrl = "/api/users/configs/"

export async function getConfigs(): Promise<UserConfig[]> {
    return fetch(configUrl)
        .then(shouldBeSuccess)
        .then(res => res.json())
}

export function getConfig(id: number): Promise<UserConfig> {
    return fetch(configUrl + id)
        .then(shouldBeSuccess)
        .then(res => res.json())
}

export function updateConfig(id: number, config: UserConfig): Promise<void> {
    return fetch(configUrl + id, { method: "PATCH", body: JSON.stringify(config) })
        .then(shouldBeSuccess)
        .then()
}

export function addConfig(config: UserConfig): Promise<void> {
    debugger
    return fetch(configUrl, { method: "POST", body: JSON.stringify(config) })
        .then(shouldBeSuccess)
        .then()
}

export function deleteConfig(id: number): Promise<void> {
    return fetch(configUrl + id, { method: "DELETE" })
        .then(shouldBeSuccess)
        .then()
}


function shouldBeSuccess(res: Response): Response {
    if (res.status >= 200 && res.status < 300) return res
    throw new Error(`Expected success status code but got: ${res.status} ${res.statusText}`)
}
